const { ccclass, property } = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    start() {
        let self = this;
        // init logic
        // this.label.string = this.text;

        let textGroup = ["西格瓦拉", "伊莉娜", "魔化国王", "战争女神"];
        let index = 0;
        let setTips = function () {
            let text = textGroup[index % textGroup.length];
            index++;
            self.label.string = text;
        }
        setTips();

        let seq = cc.repeatForever(cc.sequence(cc.delayTime(2), cc.fadeOut(0.4), cc.delayTime(0.2), cc.callFunc(setTips), cc.fadeIn(0.4)));
        this.label.node.runAction(seq);
    }
}
